diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
index e5e00930..f8eeb3c4 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
@@ -10,45 +10,56 @@
 import json
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from grappa import should
+
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as roles_utils
 
 
-class LoginRolePutTestCase(BaseTestGenerator):
-    """This class has update role scenario"""
-    scenarios = [
-        # Fetching default URL for roles node.
-        ('Check Role Node', dict(url='/browser/role/obj/'))
-    ]
-
-    def setUp(self):
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        self.role_name = "role_put_%s" % str(uuid.uuid4())[1:8]
-        self.role_id = roles_utils.create_role(self.server, self.role_name)
-        role_dict = {"server_id": self.server_id, "role_id": self.role_id,
-                     "role_name": self.role_name}
-        utils.write_node_info("lrid", role_dict)
-
-    def runTest(self):
-        """This function tests the update role data scenario"""
-        role_response = roles_utils.verify_role(self.server, self.role_name)
-        if len(role_response) == 0:
-            raise Exception("No roles(s) to update!!!")
+class TestRolePut:
+    def test_role_put(self, request, context_of_tests):
+        """
+        When the Role PUT request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        self.server = context_of_tests['server']
+        http_client = context_of_tests['test_client']
+        url = '/browser/role/obj/'
+
+        server_id = context_of_tests['server_information']['server_id']
+        self.role_name = 'role_put_%s' % str(uuid.uuid4())[1:8]
+        role_id = roles_utils.create_role(self.server, self.role_name)
+
+        is_role_verified = roles_utils.verify_role(self.server, self.role_name)
+        if len(is_role_verified) == 0:
+            raise Exception('No roles(s) to update!!!')
+
         data = {
-            "description": "This is the test description for cast",
-            "lrid": self.role_id
+            'description': 'This is the test description for cast',
+            'lrid': role_id
         }
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.role_id),
+        response = http_client.put(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' + str(role_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'role',
+            'pgadmin.node.role',
+            False,
+            'icon-role',
+            self.role_name
+        )
 
     def tearDown(self):
-        """This function delete the role from added server"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py b/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
index 2b8eaeef..ad199b40 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
@@ -10,12 +10,10 @@
 from __future__ import print_function
 
 import os
-import pickle
 import sys
 import uuid
 
 from regression.python_test_utils import test_utils as utils
-from regression.test_setup import config_data
 
 ROLE_URL = '/browser/role/obj/'
 file_name = os.path.basename(__file__)
@@ -52,24 +50,6 @@ def verify_role(server, role_name):
         print(exception, file=sys.stderr)
 
 
-def test_getrole(tester):
-    if not tester:
-        return None
-
-    all_id = utils.get_ids()
-
-    server_ids = all_id["sid"]
-    role_ids_dict = all_id["lrid"][0]
-    server_group = config_data['server_group']
-
-    role_response_data = []
-    for server_id in server_ids:
-        role_id = role_ids_dict[int(server_id)]
-        role_response_data.append(
-            verify_role(tester, server_group, server_id, role_id))
-    return role_response_data
-
-
 def get_role_data(lr_pwd):
     """This function returns the role data"""
     data = {
@@ -122,34 +102,6 @@ def create_role(server, role_name):
         print(exception, file=sys.stderr)
 
 
-def write_role_id(response_data):
-    """
-
-    :param response_data:
-    :return:
-    """
-
-    lr_id = response_data['node']['_id']
-    server_id = response_data['node']['_pid']
-    pickle_id_dict = utils.get_pickle_id_dict()
-    # TODO: modify logic to write in file / file exists or create new check
-    # old file
-    if os.path.isfile(pickle_path):
-        existing_server_id = open(pickle_path, 'rb')
-        tol_server_id = pickle.load(existing_server_id)
-        pickle_id_dict = tol_server_id
-    if 'lrid' in pickle_id_dict:
-        if pickle_id_dict['lrid']:
-            # Add the db_id as value in dict
-            pickle_id_dict["lrid"][0].update({server_id: lr_id})
-        else:
-            # Create new dict with server_id and db_id
-            pickle_id_dict["lrid"].append({server_id: lr_id})
-    db_output = open(pickle_path, 'wb')
-    pickle.dump(pickle_id_dict, db_output)
-    db_output.close()
-
-
 def delete_role(connection, role_name):
     """
     This function use to delete the existing roles in the servers
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/__init__.py
index fc757f12..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class TblspaceGeneratorTestCase(BaseTestGenerator):
-
-    def runTest(self):
-        return
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_backend_supported.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_backend_supported.py
index d8f46498..7a1a47ce 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_backend_supported.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_backend_supported.py
@@ -8,46 +8,35 @@
 ##########################################################################
 import sys
 
+from grappa import should
+
 if sys.version_info < (3, 3):
     from mock import MagicMock
 else:
     from unittest.mock import MagicMock
 
 from pgadmin.browser.server_groups.servers.tablespaces import TablespaceModule
-from pgadmin.utils.route import BaseTestGenerator
-
 
-class BackendSupportedTestCase(BaseTestGenerator):
-    """This class will add tablespace node under server"""
-    scenarios = [
-        ('When server is postgres, it returns true',
-         dict(
-             manager=dict(
-                 sversion=90100,
-                 server_type='pg'
-             ),
-             expected_result=True
-         )),
-        ('When server is GreenPlum 5.0, it returns false',
-         dict(
-             manager=dict(
-                 sversion=80323,
-                 server_type='gpdb'
-             ),
-             expected_result=False
-         ))
-    ]
 
-    class LocalManager:
-        def __init__(self, properties):
-            self.sversion = properties['sversion']
-            self.sversion = properties['sversion']
+class TestBackendSupported:
+    def test_postgres(self):
+        """
+        When checking if the Postgres Database supports Table spaces
+        It returns true
+        """
+        module = TablespaceModule('name')
+        manager = MagicMock()
+        manager.sversion = 90100
+        manager.server_type = 'pg'
+        module.BackendSupported(manager) | should.be.true
 
-    def runTest(self):
+    def test_greenplum(self):
+        """
+        When checking if the Greenplum Database supports Tablespaces
+        It returns false
+        """
         module = TablespaceModule('name')
         manager = MagicMock()
-        manager.sversion = self.manager['sversion']
-        manager.server_type = self.manager['server_type']
-        self.assertEquals(
-            self.expected_result, module.BackendSupported(manager)
-        )
+        manager.sversion = 80323
+        manager.server_type = 'gpdb'
+        module.BackendSupported(manager) | should.be.false
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py
index c8b9b0ba..8dae8952 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py
@@ -11,59 +11,67 @@ from __future__ import print_function
 
 import json
 
+import pytest
+from grappa import should
+
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as tablespace_utils
 
 
-class TableSpaceAddTestCase(BaseTestGenerator):
-    """This class will add tablespace node under server"""
-    scenarios = [
-        # Fetching default URL for tablespace node.
-        ('Check Tablespace Node', dict(url='/browser/tablespace/obj/'))
-    ]
+class TestTableSpaceAdd:
+    def test_add_tablespace(self, request, context_of_tests):
+        """
+        When a request is sent to add a new tablespace is valid
+        It return success
+        """
+        request.addfinalizer(self.tearDown)
+
+        self.server = context_of_tests['server']
 
-    def setUp(self):
         self.tablespace_name = ''
-        if not self.server['tablespace_path']\
-                or self.server['tablespace_path'] is None:
-            message = "Tablespace add test case. Tablespace path" \
-                      " not configured for server: %s" % self.server['name']
-            # Skip the test case if tablespace_path not found.
-            self.skipTest(message)
+        if not self.server['tablespace_path'] \
+           or self.server['tablespace_path'] is None:
+            message = 'Tablespace add test case. Tablespace path' \
+                      ' not configured for server: %s' % self.server['name']
+            pytest.skip(message)
+
+        url = '/browser/tablespace/obj/'
+        http_client = context_of_tests['test_client']
 
-    def runTest(self):
-        """This function test the add tablespace API"""
-        server_id = parent_node_dict["server"][-1]["server_id"]
-        server_response = server_utils.connect_server(self, server_id)
+        server_id = context_of_tests['server_information']['server_id']
+        server_response = server_utils.client_connect_server(
+            http_client,
+            server_id,
+            self.server['db_password'])
         if not server_response['data']['connected']:
-            raise Exception("Unable to connect server to get tablespace.")
+            raise Exception('Unable to connect server to get tablespace.')
 
         db_owner = server_response['data']['user']['name']
         table_space_path = self.server['tablespace_path']
         data = tablespace_utils.get_tablespace_data(
             table_space_path, db_owner)
         self.tablespace_name = data['name']
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(server_id) + '/',
+        response = http_client.post(
+            url + str(utils.SERVER_GROUP) + '/' + str(server_id) + '/',
             data=json.dumps(data),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
-        response_data = json.loads(response.data.decode('utf-8'))
-        tablespace_id = response_data['node']['_id']
-        tablespace_dict = {"tablespace_id": tablespace_id,
-                           "tablespace_name": self.tablespace_name,
-                           "server_id": server_id}
-        utils.write_node_info("tsid", tablespace_dict)
+
+        response.status_code | should.be.equal(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'tablespace',
+            'pgadmin.node.tablespace',
+            False,
+            'icon-tablespace',
+            self.tablespace_name
+        )
 
     def tearDown(self):
-        """
-        This function delete the tablespace from server added in SQLite and
-        clears the node_info_dict
-        """
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
index 4e16bf7a..0c091249 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
@@ -9,58 +9,62 @@
 
 from __future__ import print_function
 
-import json
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as tablespace_utils
 
 
-class TableSpaceDeleteTestCase(BaseTestGenerator):
-    """This class has delete table space scenario"""
-    scenarios = [
-        # Fetching default URL for tablespace node.
-        ('Check Tablespace Node', dict(url='/browser/tablespace/obj/'))
-    ]
+class TestTableSpaceDelete:
+    def test_tablespace_delete(self, request, context_of_tests):
+        """
+        When the tablespace DELETE request is send to the backend
+        it returns 200 status
+        """
+        url = '/browser/tablespace/obj/'
+        http_client = context_of_tests['test_client']
 
-    def setUp(self):
-        if not self.server['tablespace_path']\
-                or self.server['tablespace_path'] is None:
-            message = "Tablespace delete test case. Tablespace path" \
-                      " not configured for server: %s" % self.server['name']
+        self.server = context_of_tests['server']
+        if not self.server['tablespace_path'] \
+           or self.server['tablespace_path'] is None:
+            message = 'Tablespace delete test case. Tablespace path' \
+                      ' not configured for server: %s' % self.server['name']
             # Skip the test case if tablespace_path not found.
-            self.skipTest(message)
-        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:8]
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        self.tablespace_id = tablespace_utils.create_tablespace(
-            self.server, self.tablespace_name)
-        tablespace_dict = {
-            "tablespace_id": self.tablespace_id,
-            "tablespace_name": self.tablespace_name,
-            "server_id": self.server_id
-        }
-        utils.write_node_info("tsid", tablespace_dict)
+            pytest.skip(message)
+
+        request.addfinalizer(self.tearDown)
 
-    def runTest(self):
-        """This function tests the delete table space api"""
-        tablespace_count = tablespace_utils.verify_table_space(
+        self.tablespace_name = 'tablespace_delete_%s' % str(uuid.uuid4())[1:8]
+        server_id = context_of_tests['server_information']['server_id']
+        tablespace_id = tablespace_utils.create_tablespace(
             self.server, self.tablespace_name)
-        if tablespace_count == 0:
-            raise Exception("No tablespace(s) to delete!!!")
 
-        response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) +
-            '/' + str(self.server_id) + '/' + str(self.tablespace_id),
+        tablespace_exists = tablespace_utils.tablespace_exists(
+            self.server,
+            self.tablespace_name)
+        if not tablespace_exists:
+            raise Exception('No tablespace(s) to delete!!!')
+
+        response = http_client.delete(
+            url + str(utils.SERVER_GROUP) +
+            '/' + str(server_id) + '/' + str(tablespace_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
-        delete_response_data = json.loads(response.data.decode('utf-8'))
-        self.assertEquals(delete_response_data['success'], 1)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Tablespace dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        """This function deletes the tablespace"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
index 2154e7e6..f57646c2 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
@@ -9,55 +9,80 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as tablespace_utils
 
 
-class TablespaceGetTestCase(BaseTestGenerator):
-    """This class tests the get table space scenario"""
+class TestTablespaceGet:
+    def test_tablespace_get(self, request, context_of_tests):
+        """
+        When the tablespace GET request is send to the backend
+        it returns 200 status
+        """
+        self.server = context_of_tests['server']
+
+        if not self.server['tablespace_path'] \
+           or self.server['tablespace_path'] is None:
+            message = 'Tablespace get test case. Tablespace path' \
+                      ' not configured for server: %s' % self.server['name']
+            pytest.skip(message)
+
+        request.addfinalizer(self.tearDown)
 
-    scenarios = [
-        # Fetching default URL for roles node.
-        ('Check Tablespace Node', dict(url='/browser/tablespace/obj/'))
-    ]
+        url = '/browser/tablespace/obj/'
+        http_client = context_of_tests['test_client']
 
-    def setUp(self):
-        if not self.server['tablespace_path']\
-                or self.server['tablespace_path'] is None:
-            message = "Tablespace get test case. Tablespace path" \
-                      " not configured for server: %s" % self.server['name']
-            # Skip the test case if tablespace_path not found.
-            self.skipTest(message)
-        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:8]
-        self.tablespace_id = tablespace_utils.create_tablespace(
-            self.server, self.tablespace_name)
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        tablespace_dict = {"tablespace_id": self.tablespace_id,
-                           "tablespace_name": self.tablespace_name,
-                           "server_id": self.server_id}
-        utils.write_node_info("tsid", tablespace_dict)
+        self.tablespace_name = 'tablespace_delete_%s' % str(uuid.uuid4())[1:8]
+        tablespace_id = tablespace_utils.create_tablespace(
+            self.server,
+            self.tablespace_name)
 
-    def runTest(self):
-        """This function test the get table space scenario"""
-        server_response = server_utils.connect_server(self, self.server_id)
+        server_id = context_of_tests['server_information']['server_id']
+
+        server_response = server_utils.client_connect_server(
+            http_client,
+            server_id,
+            self.server['db_password'])
         if not server_response['data']['connected']:
-            raise Exception("Unable to connect server to get tablespace.")
+            raise Exception('Unable to connect server to get tablespace.')
+
+        tablespace_exists = tablespace_utils.tablespace_exists(
+            self.server,
+            self.tablespace_name)
+        if not tablespace_exists:
+            raise Exception('No tablespace(s) to update!!!')
 
-        tablespace_count = tablespace_utils.verify_table_space(
-            self.server, self.tablespace_name)
-        if tablespace_count == 0:
-            raise Exception("No tablespace(s) to update!!!")
-        response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.tablespace_id),
+        response = http_client.get(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' + str(tablespace_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('spcacl') > \
+            should.be.equal.to([])
+        json_response | should.have.key('name') > \
+            should.be.equal.to(self.tablespace_name)
+        json_response | should.have.key('spcoptions') > \
+            should.be.none
+        json_response | should.have.key('oid')
+        json_response | should.have.key('spclocation') > \
+            should.be.equal.to(self.server['tablespace_path'])
+        json_response | should.have.key('acl') > \
+            should.be.none
+        json_response | should.have.key('spcuser') > \
+            should.be.equal.to(self.server['username'])
+        json_response | should.have.key('seclabels') > \
+            should.be.none
+        json_response | should.have.key('description') > \
+            should.be.none
 
     def tearDown(self):
-        """This function delete the tablespace from added server"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
index e1cee04f..3be08e59 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
@@ -10,57 +10,70 @@
 import json
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
+import pytest
+from grappa import should
+
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as tablespace_utils
 
 
-class TableSpaceUpdateTestCase(BaseTestGenerator):
-    """This class has update tablespace scenario"""
+class TestTableSpaceUpdate:
+    def test_tablespace_put(self, request, context_of_tests):
+        """
+        When the Tablespace PUT request is send to the backend
+        it returns 200 status
+        """
+        self.server = context_of_tests['server']
+        server_id = context_of_tests['server_information']['server_id']
+        http_client = context_of_tests['test_client']
+        url = '/browser/tablespace/obj/'
+
+        if not self.server['tablespace_path'] \
+           or self.server['tablespace_path'] is None:
+            message = 'Tablespace delete test case. Tablespace path' \
+                      ' not configured for server: %s' % self.server['name']
+            pytest.skip(message)
 
-    scenarios = [
-        # Fetching default URL for roles node.
-        ('Check Tablespace Node', dict(url='/browser/tablespace/obj/'))
-    ]
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        if not self.server['tablespace_path']\
-                or self.server['tablespace_path'] is None:
-            message = "Tablespace delete test case. Tablespace path" \
-                      " not configured for server: %s" % self.server['name']
-            # Skip the test case if tablespace_path not found.
-            self.skipTest(message)
-        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:8]
-        self.tablespace_id = tablespace_utils.create_tablespace(
-            self.server, self.tablespace_name)
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        tablespace_dict = {"tablespace_id": self.tablespace_id,
-                           "tablespace_name": self.tablespace_name,
-                           "server_id": self.server_id}
-        utils.write_node_info("tsid", tablespace_dict)
+        self.tablespace_name = 'tablespace_delete_%s' % str(uuid.uuid4())[1:8]
+        tablespace_id = tablespace_utils.create_tablespace(
+            self.server,
+            self.tablespace_name)
 
-    def runTest(self):
-        """This function tests the update tablespace data scenario"""
-        tablespace_count = tablespace_utils.verify_table_space(
-            self.server, self.tablespace_name)
-        if tablespace_count == 0:
-            raise Exception("No tablespace(s) to update!!!")
+        tablespace_exists = tablespace_utils.tablespace_exists(
+            self.server,
+            self.tablespace_name)
+        if not tablespace_exists:
+            raise Exception('No tablespace(s) to update!!!')
 
         data = {
-            "description": "This is test description.",
-            "table_space_id": self.tablespace_id
+            'description': 'This is test description.',
+            'table_space_id': tablespace_id
         }
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) +
-            '/' + str(self.server_id) + '/' + str(self.tablespace_id),
+        response = http_client.put(
+            url + str(utils.SERVER_GROUP) +
+            '/' + str(server_id) + '/' + str(tablespace_id),
             data=json.dumps(data),
             follow_redirects=True
         )
-        self.assertEquals(put_response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'tablespace',
+            'pgadmin.node.tablespace',
+            False,
+            'icon-tablespace',
+            self.tablespace_name
+        )
 
     def tearDown(self):
-        """This function deletes the tablespace"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
index bee1d91f..3093da03 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
@@ -74,16 +74,7 @@ def create_tablespace(server, test_tablespace_name):
         raise Exception("Error while creating tablespace. %s" % exception)
 
 
-def verify_table_space(server, test_tablespace_name):
-    """
-    This function calls the GET API for role to verify
-    :param server: server info
-    :type server: dict
-    :param test_tablespace_name: tablespace name
-    :type test_tablespace_name: str
-    :return tablespace_count: tablespace count
-    :rtype: int
-    """
+def tablespace_exists(server, test_tablespace_name):
     try:
         connection = utils.get_db_connection(server['db'],
                                              server['username'],
@@ -96,7 +87,7 @@ def verify_table_space(server, test_tablespace_name):
                           " ts.spcname='%s'" % test_tablespace_name)
         tablespace_count = len(pg_cursor.fetchall())
         connection.close()
-        return tablespace_count
+        return tablespace_count == 1
     except Exception as exception:
         exception = "%s: line:%s %s" % (
             file_name, sys.exc_traceback.tb_lineno, exception)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/tests/__init__.py
index 1b7a2432..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/__init__.py
@@ -6,10 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ServerGenerateTestCase(BaseTestGenerator):
-    def runTest(self):
-        return
